summaryrefslogtreecommitdiffhomepage
path: root/build.sh
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-11 17:39:17 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-11 17:39:17 +0000
commitc7a858239c141de798f80f4f61ebc04d199f4642 (patch)
tree0357283a1fbc6c45ed655b0c96ce6f80c6c204a5 /build.sh
parent5f8a1589af2cb737566fc44fbb29f95b478e2e8c (diff)
downloadmidipix_build-c7a858239c141de798f80f4f61ebc04d199f4642.tar.bz2
midipix_build-c7a858239c141de798f80f4f61ebc04d199f4642.tar.xz
build.sh:build(): install signal handlers post-initialisation.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/build.sh b/build.sh
index d2d41756..4c812f62 100755
--- a/build.sh
+++ b/build.sh
@@ -99,14 +99,14 @@ buildp_dispatch() {
};
build() {
- local _build_time_hours=0 _build_time_mins=0 _build_time_secs=0 _pkg_name="" \
- BUILD_DATE_START="" BUILD_NFAIL=0 BUILD_NFINI=0 BUILD_NSKIP=0 \
+ local _build_time_hours=0 _build_time_mins=0 _build_time_secs=0 _pkg_name="" \
+ BUILD_DATE_START="" BUILD_NFAIL=0 BUILD_NFINI=0 BUILD_NSKIP=0 \
BUILD_PKGS_FAILED="" EX_PKG_DISPATCH_UNKNOWN="";
if ! cd "$(dirname "${0}")"; then
printf "Error: failed to setup environment.\n"; exit 1;
- elif trap "buildp_ast abort" HUP INT TERM USR1 USR2\
- && trap "buildp_ast exit" EXIT\
- && . ./subr/build_init.subr && build_init "${@}"; then
+ elif . ./subr/build_init.subr && build_init "${@}"\
+ && trap "buildp_ast abort" HUP INT TERM USR1 USR2\
+ && trap "buildp_ast exit" EXIT; then
BUILD_DATE_START="$(rtl_date %Y-%m-%d-%H-%M-%S)"; _build_time_secs="$(rtl_date %s)";
rtl_log_msg info "Build started by ${BUILD_USER:=${USER}}@${BUILD_HNAME:=$(hostname)} at ${BUILD_DATE_START}.";
rtl_log_env_vars "build (global)" ${DEFAULT_LOG_ENV_VARS};